Name:           perl-Mason-Tidy
Version:        2.57
Release:        7%{?dist}
Summary:        Tidy HTML::Mason/Mason components
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Mason-Tidy/
Source0:        http://www.cpan.org/authors/id/J/JS/JSWARTZ/Mason-Tidy-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Config)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Getopt::Long)
# IPC::Run3 not required for tests
BuildRequires:  perl(IPC::System::Simple)
BuildRequires:  perl(Method::Signatures::Simple) >= 1.02
BuildRequires:  perl(Moo) >= 0.0091010
BuildRequires:  perl(Perl::Tidy)
BuildRequires:  perl(Test::Class)
BuildRequires:  perl(Test::Class::Most)
# Tests
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Method::Signatures::Simple) >= 1.02
Requires:       perl(Moo) >= 0.0091010

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Moo\\)\\s*$
%global __requires_exclude %__requires_exclude|^perl\\(Method::Signatures::Simple\\)\\s*$

%description
Mason::Tidy is the engine used by masontidy. You can call this API from
your own program instead of executing masontidy.

masontidy tidies Mason 1 and Mason 2 components, using perltidy to format
the Perl code that can be embedded in various places in the component.
masontidy does not (yet) attempt to tidy the HTML or other non-Perl content
in a component.

%prep
%setup -q -n Mason-Tidy-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{_bindir}/masontidy
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%exclude %{perl_vendorlib}/Mason/Tidy/t

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.57-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 05 2017 Jitka Plesnikova <jplesnik@redhat.com> - 2.57-6
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.57-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 2.57-4
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.57-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Dec 09 2015 Jitka Plesnikova <jplesnik@redhat.com> - 2.57-2
- Exclude test modules

* Thu Nov 26 2015 Jitka Plesnikova <jplesnik@redhat.com> - 2.57-1
- Specfile autogenerated by cpanspec 1.78.
